﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class menuTemplate : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadMenu1.DataSource = SqlDataSource1;
            RadMenu1.DataBind();
        }
        ChildItemTemplate childTemplate = new ChildItemTemplate();

        foreach (RadMenuItem item in RadMenu1.GetAllItems())
        {
            if (item.Level == 1)
            {
                childTemplate.InstantiateIn(item);
                item.DataBind();
            }
        }
    }

    class ChildItemTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            Label label1 = new Label();
            label1.ID = "ItemLabel";
            label1.Text = "Text";
            label1.Font.Size = 13;
            label1.Font.Bold = true;
            label1.DataBinding += new EventHandler(label1_DataBinding);
            container.Controls.Add(label1);
        }
        private void label1_DataBinding(object sender, EventArgs e)
        {
            Label target = (Label)sender;
            RadMenuItem item = (RadMenuItem)target.BindingContainer;
            string itemText = (string)DataBinder.Eval(item, "Text");
            target.Text = itemText;
        }
    }
}
